REM ------------------------------ Create a user account and schema for GGLE


REM CREATE USER "ggle" WITH PASSWORD 'gsa#1' NAME 'GGLE Admin' SCHEMA "sys";

REM CREATE SCHEMA "ggle" AUTHORIZE "ggle";

REM ALTER USER "ggle" SCHEMA "ggle";



REM ------------------------------------------------------- create the tables


CREATE TABLE Entry
(
	EntryId		INT		UNIQUE 	NOT NULL,
	Domain		VARCHAR(50) 	NOT NULL,
	Path		VARCHAR(100) 	NOT NULL,
	Page		VARCHAR(50),
	URL			VARCHAR(200)	NOT NULL,
	DOC			DATE,
	DOM			DATE,
	PageSize	INT,
	
	PRIMARY KEY (EntryId)
);

CREATE TABLE Link
(
	LinkId		INT		UNIQUE	NOT NULL,
	Entry		INT		NOT NULL,
	Domain		VARCHAR(50) 	NOT NULL,
	Path		VARCHAR(100),
	Page		VARCHAR(50),
	URL			VARCHAR(200)	NOT NULL,
	LinksTo		INT,
	
	PRIMARY KEY (LinkId)
);

REM ALTER TABLE Link
REM		ADD FOREIGN KEY(Entry) REFERENCES Entry(EntryId);
REM	ALTER TABLE Link
REM		ADD FOREIGN KEY(LinksTo) REFERENCES Entry(EntryId);